Loading...
Searching...
No Matches
view-fwd.hpp File Reference

## Description

Declares bsoncxx::v_noabi::types::bson_value::view.

Deprecated
  Use bsoncxx/types/view-fwd.hpp instead (renamed).

Includes
  - bsoncxx/v1/types/view-fwd.hpp

Go to the source code of this file.

## Classes

class | bsoncxx::types::bson_value::view
| A non-owning variant that can contain any BSON type. More...

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::types
| Declares entities representing BSON value types.
namespace | bsoncxx::types::bson_value
| Declares entities representing any BSON value type.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | bsoncxx::v_noabi::types
| Declares entities representing BSON value types.
namespace | bsoncxx::v_noabi::types::bson_value
| Declares entities representing any BSON value type.

## Typedefs

using | bsoncxx::types::view
| Equivalent to bsoncxx::v_noabi::types::bson_value::view.
using | bsoncxx::v_noabi::types::view = v_noabi::types::bson_value::view
| Equivalent to bsoncxx::v_noabi::types::bson_value::view.